# LicenseStatus enum

Inheritance
  - Object
  - Enum
  - LicenseStatus
Available extensions
  - EnumName

## Values

Okay → const LicenseStatus
Trial → const LicenseStatus
NotSet → const LicenseStatus
Corrupted → const LicenseStatus
WrongOS → const LicenseStatus
AppIDMismatch → const LicenseStatus
Expired → const LicenseStatus

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<LicenseStatus>
  A constant List of the values in this enum, in order of their declaration.